summaryrefslogtreecommitdiffstats
path: root/meta/recipes-multimedia/pulseaudio
Commit message (Collapse)AuthorAgeFilesLines
* recipes-multimedia: Add missing HOMEPAGE and DESCRIPTION for recipes.Meh Mbeh Ida Delphine2021-03-021-0/+2
| | | | | | | Fixes: [YOCTO #13471] Signed-off-by: Ida Delphine <idadelm@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: upgrade 14.0 -> 14.2Wang Mingyu2021-01-232-6/+6
| | | | | | | refresh 0002-do-not-display-CLFAGS-to-improve-reproducibility-bui.patch Signed-off-by: Wang Mingyu <wangmy@cn.fujitsu.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: fix client.conf locationTanu Kaskinen2020-12-211-1/+1
| | | | | | | | | | | | The location of the generated client.conf changed when switching from Autotools to Meson. Fixes this error when enabling autospawn-for-root: sed: can't read src/client.conf: No such file or directory Signed-off-by: Tanu Kaskinen <tanuk@iki.fi> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: Fix build with clang for non-x86 targetKhem Raj2020-12-212-0/+83
| | | | | | Signed-off-by: Khem Raj <raj.khem@gmail.com> Cc: Tanu Kaskinen <tanuk@iki.fi> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: switch build system from Autotools to MesonTanu Kaskinen2020-12-203-35/+97
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Upstream is moving from Autotools to Meson, Autotools support will be dropped in 15.0. I dropped some configure options: * --enable-tcpwrap=no doesn't (currently) have a counterpart in Meson, TCP Wrappers support is always disabled. * --disable-esound doesn't have a counterpart in Meson, EsounD support is always disabled. * --disable-gconf doesn't have a counterpart in Meson, GConf support is always disabled. I backported a patch that implements support for the -Dvalgrind=disabled option. I checked with buildhistory what the differences are before and after this patch (with qemuarm with neon removed from TUNE_FEATURES, all PACKAGECONFIGs enabled): * Obvious differences in DEPENDS: Autotools stuff removed and Meson stuff added. There wasn't anything strange here. * Packages have superfluous RDEPENDS removed from them. With Autotools something caused for example X11 libraries to be added to RDEPENDS of packages that don't have anything to do with X11. * The pulseaudio-src package had MMX and SSE related files removed and Neon related files added. I don't know why the ARM build previously had MMX and SSE files included, the addition of Neon files is explained by the fact that with Meson the Neon optimizations can't be disabled if the compiler supports Neon (see below). * libfoo.so symlinks changed to point to libfoo.so.X rather than directly to libfoo.so.X.Y.Z. To my understading that's fine, since libfoo.so.X is a symlink that points to libfoo.so.X.Y.Z. * There were various file size changes, which I didn't investigate. Previously the recipe disabled ARM Neon optimizations when "neon" was not in TUNE_FEATURES. That was originally added in commit 4e7b91b5a2613b957b08aefbee1aac28fdd19598 at a time when PulseAudio's build system didn't check the availability of the arm_neon.h header, causing compilation errors when the header wasn't available. That issue was fixed a long time ago, so there was little need for the TUNE_FEATURES check, although it was still possible to make the build fail if non-neon -mfpu was passed in CFLAGS, so the TUNE_FEATURES check still had some theoretical benefit (theoretical, because generally OE passes -mfpu in CC instead of CFLAGS, so OE's -mfpu option appears very early in the compiler command line, which doesn't trip up PulseAudio's current Autotools build system). With Meson there's no option for disabling Neon optimizations if the compiler supports Neon. If -mfpu is set in CC or CFLAGS, it's ignored, because the build system adds -mfpu=neon at the end of the compiler command line, overriding any earlier -mfpu options. This shouldn't be a problem, because PulseAudio detects at runtime whether the CPU supports Neon instructions. Signed-off-by: Tanu Kaskinen <tanuk@iki.fi> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: disable GConf supportTanu Kaskinen2020-12-201-2/+1
| | | | | | | | | | | | | | | | | The GConf module is only needed for older versions of paprefs, other applications shouldn't be interacting with PulseAudio's GConf settings. Paprefs isn't packaged in OpenEmbedded, so there probably aren't any users of the GConf functionality. My immediate motivation for doing this is that I'm converting the pulseaudio recipe to use Meson, and the GConf module isn't supported by the Meson build system. Adding support for it would be possible, but pretty pointless. The GConf module will be removed in PulseAudio 15.0. Signed-off-by: Tanu Kaskinen <tanuk@iki.fi> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: disable EsounD supportTanu Kaskinen2020-12-201-0/+1
| | | | | | | | | | This disables PulseAudio's EsounD emulation and the EsounD sink module. EsounD has been obsolete for a long time, and doesn't seem to be packaged for OpenEmbedded, so probably there are no applications around that would need PulseAudio's EsounD support. Signed-off-by: Tanu Kaskinen <tanuk@iki.fi> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: Remove OE_LT_RPATH_ALLOWTanu Kaskinen2020-12-201-5/+0
| | | | | | | | | | | | | | | I don't know what these variables were supposed to do, but there doesn't seem to be anything that would use these variables, so removing them should be safe. The PulseAudio recipe is the only place where these appear in the repository. These lines were included already in the original PulseAudio recipe that was added in commit d9a4c588ef24e7e4019fbe5a2314addbcd3a6bb8 in 2007, and already at that time there didn't seem to be anything using these variables. Signed-off-by: Tanu Kaskinen <tanuk@iki.fi> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: upgrade 13.0 -> 14.0zangrc2020-11-293-166/+2
| | | | | | | | | 0001-remap-arm-Adjust-inline-asm-constraints.patch 0001-remap_neon-use-register-r12-instead-of-r7.patch Removed since these are included in 14.0. Signed-off-by: Zang Ruochen <zangrc.fnst@cn.fujitsu.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: unify volatiles file nameYi Zhao2020-11-081-2/+2
| | | | | | | | | | | | | | | Make the volatiles file name start with a numeric value to unified volatiles file naming. I searched in oe-core, only pluseaudio volatiles file name is not start with number. On a default sato-sdk image: $ ls /etc/default/volatiles/ 00_core 01_bootlogd 99_dbus 99_sshd 99_wpa_supplicant volatiles.04_pulse This is just a name change and will not affect the functionality. Signed-off-by: Yi Zhao <yi.zhao@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: improve the Thumb frame pointer fixTanu Kaskinen2020-07-193-8/+49
| | | | | | | | | | By changing the register that PulseAudio uses in its asm code makes it unnecessary to care whether frame pointers are enabled or not. This fix was suggested by Andre McCurdy. Signed-off-by: Tanu Kaskinen <tanuk@iki.fi> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: remove unnecessary libltdl copyingTanu Kaskinen2020-06-171-5/+0
| | | | | | | | | | This was added in 5df6deaa32e4f6d0a8985403970a137270491991. I don't know what problem it solved at that time (2009-04-21), but it seems that nowadays PulseAudio builds fine without copying the libltdl stuff. Signed-off-by: Tanu Kaskinen <tanuk@iki.fi> Signed-off-by: Ross Burton <ross.burton@arm.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: exclude pre-releases from version checksAlexander Kanavin2020-06-031-0/+1
| | | | | Signed-off-by: Alexander Kanavin <alex.kanavin@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: fix for ARM thumb + frame pointers compilation errorCatalin Enache2020-03-291-0/+8
| | | | | | | | | | | | | | | | | | | When compiling for Thumb or Thumb2, frame pointers _must_ be disabled since the Thumb frame pointer in r7 clashes with pulseaudio's use of inline asm to make syscalls (where r7 is used for the syscall NR). In most cases, frame pointers will be disabled automatically due to the optimisation level, but appending an explicit -fomit-frame-pointer to CFLAGS handles cases where optimisation is set to -O0 or frame pointers have been enabled by -fno-omit-frame-pointer earlier in CFLAGS, etc. References: https://www.openwall.com/lists/musl/2017/10/09/2 Signed-off-by: Catalin Enache <catalin.enache@windriver.com> Signed-off-by: Stefan Ghinea <stefan.ghinea@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: Fix inline assembly syntax for armKhem Raj2020-03-062-0/+115
| | | | | | | Ensures that gcc can use right operand constraints Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: 12.2 -> 13.0Tanu Kaskinen2019-11-254-214/+26
| | | | | | | | | | | | | | | | | | | | | | Release notes: https://www.freedesktop.org/wiki/Software/PulseAudio/Notes/13.0/ Dropped intltool-native from DEPENDS. The .desktop file translations don't need intltool any more, gettext is enough. Dropped upstreamed patches: 0001-alsa-Fix-inclusion-of-use-case.h.patch 0001-introduce-a-special-build-flag-to-explicitly-disable.patch Added a new package: pulseaudio-pa-info. It contains the new pa-info script. BlueZ 4 support was removed in this version. That's not visible in the recipe, but I noticed that the BlueZ 4 modules were still being built in 12.2, since they hadn't been explicitly disabled in the recipe. Signed-off-by: Tanu Kaskinen <tanuk@iki.fi> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: don't include consolekit when systemd is enabledAnuj Mittal2019-07-271-1/+4
| | | | | | | | | | | | | | | When using systemd, make sure that pulseaudio-server RDEPENDS on module-systemd-login instead of module-console-kit both of which provide the same functionality but for different init systems [1][2]. Even though both modules can co-exist, this helps avoid including consolekit (which has been deprecated) in the images using systemd. [1] https://www.freedesktop.org/wiki/Software/PulseAudio/Documentation/User/Modules/#index51h3 [2] https://github.com/pulseaudio/pulseaudio/commit/860d1cf3a76701ade38784822abb24285176227c Signed-off-by: Anuj Mittal <anuj.mittal@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: Backport upstream fix new alsa compatibility.Piotr Tworek2019-07-262-0/+47
| | | | | | | | | | | | | | | | Recent alsa upgrade stripped /usr/include/alsa directory from include path reported by pkgconfig. Due to this pulseaudio 12.2 configure script can find alsa's use-case.h header which in turn results in HAVE_ALSA_UCM being undefined. This turn results in pa_alsa_ucm_device_update_available symbol missing even though libalsa-util.so needs it. Once could argue pulseaudio should not allow undefined symmbols in its shared modules. Unfortunately it does and due to this current OE builds of pulseaudio crash when the server tries to dlopen any module using libalsa-util.so. Fix this by backporting ustream alsa header include fix. Signed-off-by: Piotr Tworek <tworaz@tworaz.net> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* meta: Remove remnants of bluez4 supportAdrian Bunk2019-07-151-3/+2
| | | | | | | | | | | | bluez4 was removed from meta-oe 2 years ago. Simplfy the setup of the two level bluetooth and bluez4/bluez5 distro features by removing the bluez4/bluez5 distro features. This also removes the no longer required bluetooth class. Signed-off-by: Adrian Bunk <bunk@stusta.de> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* meta: Fix Deprecated warnings from regexsRichard Purdie2019-01-141-2/+2
| | | | | | | | | | | | | | | | | | Fix handling of escape characters in regexs and hence fix python Deprecation warnings which will be problematic in python 3.8. Note that some show up as: """ meta/classes/package.bbclass:1293: DeprecationWarning: invalid escape sequence \.   """ where the problem isn't on 1293 in package.bbclass but in some _prepend to a package.bbclass function in a different file like mesa.inc, often from do_package_split() calls. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: switch configuration module from GConf to GSettingsRoss Burton2019-01-111-1/+1
| | | | | | | | The only user of the configuration module is paprefs, which as of 1.0 uses GSettings not GConf. Also GConf is unmaintained, so one less recipe using it is good. Signed-off-by: Ross Burton <ross.burton@intel.com>
* pulseaudio: add PACKAGECONFIGs for GConf and GSettingsRoss Burton2019-01-111-8/+9
| | | | | | Behaviour is kept the same. Signed-off-by: Ross Burton <ross.burton@intel.com>
* pulseaudio: fix multilib packagingRoss Burton2019-01-111-6/+4
| | | | | | | The magic multilibisation doesn't quite catch every instance, so replace 'pulseaudio' with ${PN} where needed to ensure the packaging is as intended. Signed-off-by: Ross Burton <ross.burton@intel.com>
* pulseaudio: enforce empty PNRoss Burton2019-01-111-0/+1
| | | | | | | The intention is that PN is empty, enforce that so new files don't end up in PN silently. Signed-off-by: Ross Burton <ross.burton@intel.com>
* pulseaudio: improve reproducibilityHongxu Jia2019-01-114-2/+196
| | | | | | | | | | There are two fixes, one is sent to upstream, and another is oe specific. [YOCTO #12638] Signed-off-by: Hongxu Jia <hongxu.jia@windriver.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* pulseaudio: 11.1 -> 12.2Tanu Kaskinen2018-08-294-150/+7
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | Release notes for 12.0: https://www.freedesktop.org/wiki/Software/PulseAudio/Notes/12.0/ 12.1 contains a few regression fixes: https://lists.freedesktop.org/archives/pulseaudio-discuss/2018-July/030259.html 12.2 is just a fixup for the configure script brokenness in the 12.1 tarball. qpaeq changed license from AGPL to LGPL, so now there's no AGPL licensed code any more. This removes the excuse to not enable fftw support (i.e. module-equalizer-sink and qpaeq). I'll enable fftw in a separate patch. There's a new gsettings module that should be enabled, but I'll do that in a separate patch. It's not particularly important, because the module is only used by the paprefs GUI application that doesn't seem to be packaged for OE at the moment. Removed upstreamed patches: 0001-padsp-Make-it-compile-on-musl.patch 0001-memfd-wrappers-only-define-memfd_create-if-not-alrea.patch License-Update: qpaeq changed license from AGPL to LGPL: https://gitlab.freedesktop.org/pulseaudio/pulseaudio/commit/61217528a1cb5043ca3fa1051a73ad3268cfb3d8 Signed-off-by: Tanu Kaskinen <tanuk@iki.fi> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: improve glibc 2.27 patchRoss Burton2018-01-303-63/+67
| | | | | | | This patch looks like it will be merged upstream. Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* pulseaudio: Fix build with glibc 2.27Khem Raj2018-01-292-1/+64
| | | | | | memfd_create is now available in glibc Signed-off-by: Khem Raj <raj.khem@gmail.com>
* pulseaudio: change pulse to be a system groupJackie Huang2018-01-061-1/+1
| | | | | | | | | pulse is added as a system user, so the group 'pulse' is meant to be a system group as well, which is the same with other distros like ubuntu/centos. Signed-off-by: Jackie Huang <jackie.huang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: 10.0 -> 11.1Tanu Kaskinen2017-12-092-62/+2
| | | | | | | | | | | | | | | | | | | | | | 11.0 release notes: https://www.freedesktop.org/wiki/Software/PulseAudio/Notes/11.0/ Additional changes in 11.1: * Fix a crash in filter modules related to flat volumes and volume sharing * Fix a crash when the bluetooth adapter reports weird MTU size * Disable bluetooth MTU autodetection by default * Add mixer handling back for hardware that doesn't have any alsa-lib configuration * Prioritize USB devices over built-in sound cards (11.0 was supposed to have this feature, but the implementation turned out to be incomplete) Dropped backported patch: pulseaudio-discuss-iochannel-don-t-use-variable-length-array-in-union.patch Signed-off-by: Tanu Kaskinen <tanuk@iki.fi> Signed-off-by: Ross Burton <ross.burton@intel.com>
* pulseaudio: Backport a patch to replace use of VLAISKhem Raj2017-09-112-0/+60
| | | | | | | Fix build with clang Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* recipes: Make use of the new bb.utils.filter() functionPeter Kjellerstedt2017-03-011-3/+1
| | | | | Signed-off-by: Peter Kjellerstedt <peter.kjellerstedt@axis.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: 9.0 -> 10.0Tanu Kaskinen2017-02-158-703/+88
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Relase notes: https://www.freedesktop.org/wiki/Software/PulseAudio/Notes/10.0/ The checksum of the LICENSE file changed due to some clarifications. There were no changes to the actual licensing terms. The LICENSE variable was not accurate, so I made changes to it. Specifically: * there's no GPL code in PulseAudio so I dropped GPL from the list * the LGPL code allows using later versions of the license rather than limiting to just 2.1 * there are some MIT and BSD licensed bits I added more files to LIC_FILES_CHKSUM to have better coverage of all the differently licensed code. Dropped json-c and gdbm from DEPENDS. The new release doesn't use json-c any more. gdbm isn't used when --with-database=simple is passed to configure, so it should have been removed from DEPENDS a long time ago. The new release dropped the Xen module, so the --without-xen configure option isn't needed any more. Added a comment for why --without-fftw is used. Disabled the adrian echo canceller, because it has an unusual license, and disabling the code was simpler than adding a new license to OE-Core. Dropped upstreamed patches. Signed-off-by: Ross Burton <ross.burton@intel.com>
* pulseaudio: enable optional building of manpagesAlexander Kanavin2016-10-281-1/+2
| | | | | Signed-off-by: Alexander Kanavin <alexander.kanavin@linux.intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* pulseaudio: add ${S}/LICENSE to LIC_FILES_CHKSUMRoss Burton2016-09-161-1/+2
| | | | | | | | The LICENSE file describes how the various pieces are licensed, so add it to the checksum so we notice when it changes. Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: control ipv6 support based on DISTRO_FEATURESJackie Huang2016-09-031-0/+2
| | | | | | | | Add PACKAGECONFIG for ipv6 and control it based on DISTRO_FEATURES. Signed-off-by: Jackie Huang <jackie.huang@windriver.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: fix floating dependency on webrtc-audio-processingTanu Kaskinen2016-07-251-0/+1
| | | | | | | | | The webrtc-audio-processing library isn't yet packaged for OpenEmbedded, but let's add a packageconfig entry for it anyway to avoid problems in the future. Signed-off-by: Tanu Kaskinen <tanuk@iki.fi> Signed-off-by: Ross Burton <ross.burton@intel.com>
* pulseaudio: 8.0 -> 9.0Tanu Kaskinen2016-07-259-695/+373
| | | | | | | | | | | | | | | | | | Release notes: https://www.freedesktop.org/wiki/Software/PulseAudio/Notes/9.0/ Rebased 0001-client-conf-Add-allow-autospawn-for-root.patch. Removed 0001-Revert-module-switch-on-port-available-Route-to-pref.patch, because the issues that were caused by the reverted commit have been fixed. The patch set that fixes the initial selection of HDMI profiles (YOCTO#8448) is replaced with updated patches cherry-picked from upstream. Signed-off-by: Tanu Kaskinen <tanuk@iki.fi> Signed-off-by: Ross Burton <ross.burton@intel.com>
* pulseaudio: Disable unit testsDavis, Michael2016-07-081-0/+1
| | | | | Signed-off-by: Michael Davis <michael.davis@essvote.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* pulseaudio: Add intltool-native dependencyJussi Kukkonen2016-04-221-1/+1
| | | | | | | Fixes configure failure "intltoolize: command not found". Signed-off-by: Jussi Kukkonen <jussi.kukkonen@intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* pulseaudio: 6.0 -> 8.0Tanu Kaskinen2016-02-1810-368/+413
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Release notes for 7.0: https://wiki.freedesktop.org/www/Software/PulseAudio/Notes/7.0/ Release notes for 8.0: https://wiki.freedesktop.org/www/Software/PulseAudio/Notes/8.0/ 7.0 added support for soxr resamplers, but neither oe-core nor meta-oe have libsoxr packaged. The default resampler is still speexdsp based, so most people wouldn't be using the soxr resamplers anyway. If someone cares enough to package soxr, then we can enable the feature. Bash completions moved in 7.0 from /etc to the standard location under /usr/share/bash-completion. We now use the bash-completion class to package the completion files. The private library libpulsecore moved from /usr/lib to /usr/lib/pulseaudio. The new routing features advertised in the 8.0 release notes are reverted for now, because they caused regressions. I'll remove the revert once a proper fix is available. Removed two patches, because they are included in the new release. Rebased three patches. Updated Upstream-Status tags to reflect the current situation. Signed-off-by: Tanu Kaskinen <tanuk@iki.fi> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio.inc: drop obsolete dependency on liboilAndre McCurdy2016-01-241-1/+1
| | | | | | | | | Pulseaudio dropped its dependency on liboil in 2009. http://cgit.freedesktop.org/pulseaudio/pulseaudio/commit/?id=25724cdd40283a00e6edd9449d0f3cf16823b41b Signed-off-by: Andre McCurdy <armccurdy@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: add PACKAGECONFIG for lircMartin Jansa2016-01-071-0/+1
| | | | | | | * it's autodetected from sysroot Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* meta: Drop now pointless manual -dbg packagingRichard Purdie2015-12-161-2/+0
| | | | | | | With the autodebug package generation logic, specifically setting FILES_${PN}-dbg isn't needed in most cases, we can remove them. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: Fix HDMI profile selectionJussi Kukkonen2015-12-015-0/+747
| | | | | | | | | | | | On systems with two cards, the correct output profile does not get selected automatically even in the simple case where there is one available profile. This scenario is typical at least with HDMI audio (which is on a separate card). Fixes [YOCTO #8448] Signed-off-by: Jussi Kukkonen <jussi.kukkonen@intel.com> Signed-off-by: Ross Burton <ross.burton@intel.com>
* pulseaudio: handle udev dir being 2 levels below /Joshua Lock2015-09-061-1/+1
| | | | | | | | | | When building with a merged /usr dir the udev directory lives at /usr/lib/udev - update the FILES pattern to also pick up udev files installed two levels below the / to ensure a merged /usr works. Signed-off-by: Joshua Lock <joshua.lock@collabora.co.uk> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: add 'autospawn-for-root' PACKAGECONFIGChristopher Larson2015-09-011-0/+16
| | | | | | | | Since many embedded systems don't have non-root users, it's useful to be able to use pulseaudio autospawn for root as well. Signed-off-by: Christopher Larson <chris_larson@mentor.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: pass --with-systemduserunitdirChristopher Larson2015-09-011-1/+1
| | | | | | | We want to make sure our path variables are obeyed. Signed-off-by: Christopher Larson <chris_larson@mentor.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* pulseaudio: improve PACKAGECONFIG for dbus/consolekit dependenciesMartin Jansa2015-08-311-3/+7
| | | | | | | | | | | | * the problem is that consolekit module is built whenever dbus is enabled and consolekit is available only in distributions with x11 in DISTRO_FEATURES * many distributions want to enable dbus support (required for bluez support), but without consolekit because they aren't using x11 * allow to completely disable dbus (and consolekit) * add consolekit runtime dependency only for x11 in DISTRO_FEATURES Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* libatomic-ops: move to recipes-support, fix recipe nameChristopher Larson2015-08-302-29/+1
| | | | | | | | | | | | - This recipe is useful for more than just pulseaudio, so move it to recipes-support. - Rename to the correct upstream name, which corresponds to the library name. Keep a PROVIDES of libatomics-ops for compatibility. (From OE-Core rev: 5014de67fa6da1672626e3ec92fc51430fca3262) Signed-off-by: Christopher Larson <kergoth@gmail.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>